function info(titleStr,helpStr1);
% HELPFUN Utility function for displaying help text conveniently.

numPages=1;

oldFigNumber=watchon;

position=[0.3 0.5 0.5 0.3];
figNumber=figure( ...
    'Name','Information', ...
    'NumberTitle','off', ...
    'Units','normalized', ...
    'Visible','off', ...
    'Position',position, ...
    'Colormap',[]);

%===================================
% Set up the Help Window
top=0.95;
left=0.05;
right=0.75;
bottom=0.05;
labelHt=0.05;
spacing=0.005;

% First, the Text Window frame
frmBorder=0.02;
frmPos=[left-frmBorder bottom-frmBorder ...
   (right-left)+2*frmBorder (top-bottom)+2*frmBorder];
uicontrol( ...
    'Style','frame', ...
    'Units','normalized', ...
    'Position',frmPos, ...
    'BackgroundColor',[0.5 0.5 0.5]);
% Then the text label
labelPos=[left top-labelHt (right-left) labelHt];
ttlHndl=uicontrol( ...
    'Style','text', ...
    'Units','normalized', ...
    'Position',labelPos, ...
    'BackgroundColor',[0.5 0.5 0.5], ...
    'ForegroundColor',[1 1 1], ...
    'String',titleStr);
    
    
txtPos=[left bottom (right-left) top-bottom-labelHt-spacing];
txtHndlList=uicontrol( ...
    	    'Style','edit', ...
    	    'Units','normalized', ...
    	    'Max',20, ...
            'HorizontalAlignment','left', ...
    	    'String',helpStr1, ...
    	    'BackgroundColor',[1 1 1], ...
	    'Visible','off', ...
    	    'Position',txtPos);
    
set(txtHndlList(1),'Visible','on');

    %====================================
    % Information for all buttons
    labelColor=[0.8 0.8 0.8];
    top=0.95;
    bottom=0.05;
    yInitPos=0.80;
    left=0.80;
    btnWid=0.15;
    btnHt=0.10;
    % Spacing between the button and the next command's label
    spacing=0.05;


%====================================
% The CONSOLE frame
frmBorder=0.02;
yPos=bottom-frmBorder;
frmPos=[left-frmBorder yPos btnWid+2*frmBorder 0.9+2*frmBorder];
uicontrol( ...
    'Style','frame', ...
    'Units','normalized', ...
    'Position',frmPos, ...
    'BackgroundColor',[0.5 0.5 0.5]);

%====================================
% The CLOSE button
uicontrol( ...
   'Style','pushbutton', ...
   'Units','normalized', ...
   'Position',[left 0.05 btnWid 0.3], ...
   'String','Close', ...
   'Callback','close(gcf)');

hndlList=[ttlHndl txtHndlList];
        
    set(figNumber,'UserData',hndlList)


% Now that we've determined the figure number, we can install the
% Desired strings.

hndlList=get(figNumber,'UserData');
ttlHndl=hndlList(1);
txtHndlList=hndlList(2);
set(ttlHndl,'String',titleStr);
set(txtHndlList(1),'Visible','on');
set(txtHndlList(1),'String',helpStr1);

set(figNumber,'Visible','on');
% Turn off the watch pointer in the old figure
watchoff(oldFigNumber);
figure(figNumber);
